"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;
exports.Code = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireWildcard(require("react"));

var _reactSyntaxHighlighter = require("react-syntax-highlighter");

var _styledComponents = require("styled-components");

var _supportedLanguages = require("./supportedLanguages");

var _themeBuilder = require("./themes/themeBuilder");

var Code =
/*#__PURE__*/
function (_PureComponent) {
  (0, _inherits2.default)(Code, _PureComponent);

  function Code() {
    (0, _classCallCheck2.default)(this, Code);
    return (0, _possibleConstructorReturn2.default)(this, (0, _getPrototypeOf2.default)(Code).apply(this, arguments));
  }

  (0, _createClass2.default)(Code, [{
    key: "render",
    value: function render() {
      var _applyTheme = (0, _themeBuilder.applyTheme)(this.props.theme),
          inlineCodeStyle = _applyTheme.inlineCodeStyle;

      var language = (0, _supportedLanguages.normalizeLanguage)(this.props.language);
      var props = {
        language: language,
        PreTag: this.props.preTag,
        style: this.props.codeStyle || inlineCodeStyle,
        showLineNumbers: this.props.showLineNumbers,
        lineNumberContainerStyle: this.props.lineNumberContainerStyle,
        codeTagProps: this.props.codeTagProps
      };
      return _react.default.createElement(_reactSyntaxHighlighter.PrismAsyncLight, props, this.props.text);
    }
  }]);
  return Code;
}(_react.PureComponent);

exports.Code = Code;
(0, _defineProperty2.default)(Code, "defaultProps", {
  theme: {},
  showLineNumbers: false,
  lineNumberContainerStyle: {},
  codeTagProps: {},
  preTag: 'span'
});
var CodeWithTheme = (0, _styledComponents.withTheme)(Code);
var emptyTheme = {};

function _default(props) {
  return _react.default.createElement(_styledComponents.ThemeProvider, {
    theme: emptyTheme
  }, _react.default.createElement(CodeWithTheme, props));
}